'use client'

import { AuthGuard } from '@/components/auth-guard'
import { SellerHomePage } from '@/components/home/seller-home-page'
import { useRoleGuard } from '@/hooks/useRoleGuard'

export default function SellerHomePageRoute() {
  useRoleGuard('SELLER')

  return (
    <AuthGuard>
      <SellerHomePage />
    </AuthGuard>
  )
}
